import request from '@/utils/request'

// 查询建筑设备关联列表
export function listSpace_device(query) {
    return request({
        url: '/system/builedDevice/list',
        method: 'get',
        params: query
    })
}

// 查询建筑设备关联详细
export function getDevice(recordId) {
    return request({
        url: '/system/builedDevice/' + recordId,
        method: 'get'
    })
}

// 新增建筑设备关联
export function addSpace_device(data) {
    return request({
        url: '/system/builedDevice',
        method: 'post',
        data: data
    })
}

// 修改建筑设备关联
export function updateDevice(data) {
    return request({
        url: '/system/builedDevice',
        method: 'put',
        data: data
    })
}

// 删除建筑设备关联
export function delSpace_device(recordId) {
    return request({
        url: '/system/builedDevice/' + recordId,
        method: 'delete'
    })
}

// 导出建筑设备关联
export function exportDevice(query) {
    return request({
        url: '/system/builedDevice/export',
        method: 'get',
        params: query
    })
}

// 查询 当前 建筑可绑定设备 列表
export function listBuildingNotDevice(data) {
  return request({
      url: '/iot/space_device/not-used',
      method: 'get',
      params: data
  })
}
